<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');


// list expected fields
$expected = array('new_datum','q_naslov','q_vijest_kratka','q_vijest','q_link','q_link_opis',
					'new_slika','q_thumb_sirina','q_thumb_visina','q_big_sirina','q_big_visina');
// set required fields
$required = array('new_datum','q_naslov');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {		
	//insert new data in database
	
	//uredi datum	
	//iz prosljeđenog datuma rasturi dan, mjesec i godinu
	$contents = explode(".", $new_datum);
	//naši dani u tjednu
	$weekday = array("Nedjelja","Ponedjeljak","Utorak","Srijeda","&#268;etvrtak","Petak","Subota");
	$q_datum_prikaz=$contents[2].'-'.$contents[1].'-'.$contents[0]; //zapis za bazu
	$new_date=strtotime($q_datum_prikaz);
	$wday=date("w","$new_date");
	$q_dan = $weekday[$wday];//zapis za bazu - dan u tjednu
	//današnji dan
	list($mday,$month,$year) = preg_split("( )",date("d m Y")); //za kreaciju imena slike u "func_img.php"

	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_vijest=uredi_var($q_vijest);
	$q_vijest_kratka=uredi_var($q_vijest_kratka);
	$q_link_opis=uredi_var($q_link_opis);
	
	//ako je automatsko kreiranje skraćene vijesti
	if ($kategorija_kratka=='1') {
		//kreiraj kratku
		$q_vijest_kratka=strip_tags($q_vijest);
		if (strlen($q_vijest_kratka)>$kategorija_kratka_znakovi) {
			$q_vijest_kratka=substr($q_vijest_kratka,0,$kategorija_kratka_znakovi);
			$pos = strrpos($q_vijest_kratka, " ");
			$q_vijest_kratka = substr($q_vijest_kratka, 0, $pos);
		} 	
	} 	
	
	//ako postoji slika, spremi je
	if ($kategorija_slika=='1') {
		if ($_FILES['new_slika']['size']) {
			include ("func_img.php");		
		} else {
			$q_thumb_ime='';
			$q_thumb_sirina='0';
			$q_thumb_visina='0';
			$q_big_ime='';
			$q_big_sirina='0';
			$q_big_visina='0';
		}
	} else {
		$q_thumb_ime='';
		$q_thumb_sirina='0';
		$q_thumb_visina='0';
		$q_big_ime='';
		$q_big_sirina='0';
		$q_big_visina='0';
	}
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_vijest_kratka_mysql=mysql_real_escape_string($q_vijest_kratka);
	$q_vijest_mysql=mysql_real_escape_string($q_vijest);
	$q_autor_mysql=mysql_real_escape_string($q_autor);
	$q_link_mysql=mysql_real_escape_string($q_link);
	$q_link_opis_mysql=mysql_real_escape_string($q_link_opis);
	
	$result = mysql_query("insert into b7_news values (
							'',
							'$id_kat',
							'',
							'$q_naslov_mysql',
							'$q_vijest_kratka_mysql',
							'$q_vijest_mysql',
							'$q_datum_prikaz',
							'$q_dan',
							'$q_autor_mysql',
							'$q_link_mysql',
							'$q_link_opis_mysql',
							'$q_thumb_ime',
							'$q_thumb_sirina',
							'$q_thumb_visina',
							'$q_big_ime',
							'$q_big_sirina',
							'$q_big_visina',
							now(),
							'$log_username'
							)");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno je dodana nova vijest <strong>'.$q_naslov.'</strong> u bazu<br />';
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za upis vijesti u bazu';
}
?>
<div id="main_content">
<h1>Spremanje nove vijesti u kategoriji <em><?php echo $kategorija_naslov; ?></em> u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=vijesti&amp;akcija=display_news_list&amp;id_kat=<?php echo $id_kat; ?>">Povratak...</a>
</div>